package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicContractState {

    public static final String EFFECT = "已生效";
    public static final String NO_EFFECT = "未生效";
    public static final String OVERDUE = "已过期";

    private static DicContractState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicContractState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(EFFECT, EFFECT);
        dicMap.put(NO_EFFECT, NO_EFFECT);
        dicMap.put(OVERDUE, OVERDUE);
    }

    public static DicContractState getInstacne(){
        if (instance == null)
        {
            instance = new DicContractState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}

